%define api 5
%define major 5
%define oname qt5

%define module qtquick1

%define qtdeclarative %mklibname qt%{api}declarative %{major}
%define qtdeclaratived %mklibname qt%{api}declarative -d

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.6.1
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
# Deprecated module, no more official release tarbals
Source0:	%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Script) >= %{version}
BuildRequires:	pkgconfig(Qt5WebKit) >= %{version}
BuildRequires:	pkgconfig(Qt5WebKitWidgets) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:	pkgconfig(Qt5XmlPatterns) >= %{version}

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtdeclarative}
Summary:	Runtime library for Qt Declarative
Group:		System/Libraries
Suggests:	qt5-qtquick-i18n
Conflicts:	%{_lib}qt5qml5 < 5.6.0
Conflicts:	%{_lib}qt5quick5 < 5.6.0
Conflicts:	%{_lib}qt5webkit5 < 5.6.0

%description -n %{qtdeclarative}
Runtime library for Qt Declarative.

%files -n %{qtdeclarative}
%{_qt5_libdir}/libQt%{api}Declarative.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}Declarative.so.%{major}*
%endif
%dir %{_qt5_importdir}/Qt
%dir %{_qt5_importdir}/Qt/labs
%{_qt5_importdir}/Qt/labs/folderlistmodel
%{_qt5_importdir}/Qt/labs/gestures
%{_qt5_importdir}/Qt/labs/particles
%{_qt5_importdir}/Qt/labs/shaders
%{_qt5_importdir}/QtWebKit/
%{_qt5_importdir}/builtins.qmltypes
%{_qt5_plugindir}/qml1tooling/libqmldbg_inspector.so
%{_qt5_plugindir}/qml1tooling/libqmldbg_tcp_qtdeclarative.so

#----------------------------------------------------------------------------

%package -n %{qtdeclaratived}
Summary:	Development files for Qt Declarative
Group:		Development/KDE and Qt
Requires:	%{qtdeclarative} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0
Conflicts:	qt5-qml-tools < 5.6.0
Suggests:	qt5-qmlviewer-i18n

%description -n %{qtdeclaratived}
Development files for Qt Declarative.

%files -n %{qtdeclaratived}
%{_qt5_bindir}/qml1plugindump
%{_qt5_bindir}/qmlviewer
%{_qt5_includedir}/QtDeclarative
%{_qt5_libdir}/libQt%{api}Declarative.so
%{_qt5_libdir}/libQt%{api}Declarative.prl
%{_qt5_libdir}/cmake/Qt%{api}Declarative
%{_qt5_libdir}/pkgconfig/Qt%{api}Declarative.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}Declarative.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_declarative.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_declarative_private.pri

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/declarative/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Sun Jun 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.1-1
- (d19f071) New version 5.6.1


